https://github.com/boostorg/interprocess/commit/d002a0d929ecb031843d806c2bda69e013442e13
https://bugs.gentoo.org/829147

From: Leonardo Neumann <leonardo@neumann.dev.br>
Date: Mon, 13 Dec 2021 01:07:20 -0300
Subject: [PATCH] Fix missing sys/stat.h include on musl-based systems

Boost 1.78.0 fails to build on musl-based systems because musl does
not include sys/stat.h by default.

Fixes #161 ("Boost compiler error")
--- a/boost/interprocess/permissions.hpp
+++ b/boost/interprocess/permissions.hpp
@@ -29,6 +29,10 @@
 
 #include <boost/interprocess/detail/win32_api.hpp>
 
+#else
+
+#include <sys/stat.h>
+
 #endif
 
 #endif   //#ifndef BOOST_INTERPROCESS_DOXYGEN_INVOKED

